Page MenuHomePhabricator

Implement 'Receiving notifications from subscribed newsletters' feature for Newsletter extension
Closed, ResolvedPublic

Description

Receive notifications

  1. Supposing the user have subscribed to newsletters by following steps in T100492.
  2. If any of the subscribed newsletter announce a new issue, the user gets notified by Echo - email, echo notifications depending on his echo configuration

Details

Related Objects

Event Timeline

Tinaj1234 created this task.Jun 5 2015, 7:16 PM
Tinaj1234 claimed this task.
Tinaj1234 raised the priority of this task from to Medium.
Tinaj1234 updated the task description. (Show Details)
Tinaj1234 added a subscriber: Tinaj1234.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2015, 7:16 PM
Qgil added a subscriber: Qgil.

T103666: Documentation missing : Add Echo notification to preference marked as blocker. Meanwhile, what about looking at the code of e.g. Gather or Education program to see how they do it to appear in https://test2.wikipedia.org/wiki/Special:Preferences#mw-prefsection-echo ?

I did check the code but I haven't really found my way through them. Will need to dig deeper or maybe ask the developers of this extension

Tinaj1234 raised the priority of this task from Medium to High.Jun 24 2015, 4:42 PM
Tinaj1234 set Security to None.

Change 221041 had a related patch set uploaded (by Tinaj1234):
Implement 'Receiving notifications from subscribed newsletters' feature for Newsletter extension

https://gerrit.wikimedia.org/r/221041

Change 221041 merged by jenkins-bot:
Implement 'Receiving notifications from subscribed newsletters' feature for Newsletter extension

https://gerrit.wikimedia.org/r/221041

@Qgil, this feature has also been deployed. You can test it by:

  1. Subscribing to a newsletter at http://newsletter-test.wmflabs.org/wiki/Special:Newsletters
  2. Announcing an issue at http://newsletter-test.wmflabs.org/wiki/Special:NewsletterManage
  3. Check for notification
Qgil closed this task as Resolved.Jun 26 2015, 6:55 PM

Tested. Thank you!